export const CURRENCY = {
  AED: {
    name: 'United Arab Emirates Dirham',
    symbol: 'د.إ.‏',
    decimals: 2,
    code: 'AED'
  },
  AFN: {
    name: 'Afghan Afghani',
    symbol: '؋',
    decimals: 2,
    code: 'AFN'
  },
  ALL: {
    name: 'Albanian Lek',
    symbol: 'Lek',
    decimals: 2,
    code: 'ALL'
  },
  AMD: {
    name: 'Armenian Dram',
    symbol: 'դր.',
    decimals: 2,
    code: 'AMD'
  },
  ANG: {
    name: 'Netherlands Antillean Gulden',
    symbol: 'ƒ',
    decimals: 2,
    code: 'ANG'
  },
  AOA: {
    name: 'Angolan Kwanza',
    symbol: 'Kz',
    decimals: 2,
    code: 'AOA'
  },
  ARS: {
    name: 'Argentine Peso',
    symbol: '$',
    decimals: 2,
    code: 'ARS'
  },
  AUD: {
    name: 'Australian Dollar',
    symbol: '$',
    decimals: 2,
    code: 'AUD'
  },
  AWG: {
    name: 'Aruban Florin',
    symbol: 'Afl.',
    decimals: 2,
    code: 'AWG'
  },
  AZN: {
    name: 'Azerbaijani Manat',
    symbol: 'ман.',
    decimals: 2,
    code: 'AZN'
  },
  BAM: {
    name: 'Bosnia and Herzegovina Convertible Mark',
    symbol: 'KM',
    decimals: 2,
    code: 'BAM'
  },
  BBD: {
    name: 'Barbadian Dollar',
    symbol: '$',
    decimals: 2,
    code: 'BBD'
  },
  BDT: {
    name: 'Bangladeshi Taka',
    symbol: '৳',
    decimals: 2,
    code: 'BDT'
  },
  BGN: {
    name: 'Bulgarian Lev',
    symbol: 'лв.',
    decimals: 2,
    code: 'BGN'
  },
  BHD: {
    name: 'Bahraini Dinar',
    symbol: 'د.ب.‏',
    decimals: 3,
    code: 'BHD'
  },
  BIF: {
    name: 'Burundian Franc',
    symbol: 'FBu',
    decimals: 0,
    code: 'BIF'
  },
  BMD: {
    name: 'Bermudian Dollar',
    symbol: '$',
    decimals: 2,
    code: 'BMD'
  },
  BND: {
    name: 'Brunei Dollar',
    symbol: '$',
    decimals: 2,
    code: 'BND'
  },
  BOB: {
    name: 'Bolivian Boliviano',
    symbol: 'Bs',
    decimals: 2,
    code: 'BOB'
  },
  BRL: {
    name: 'Brazilian Real',
    symbol: 'R$',
    decimals: 2,
    code: 'BRL'
  },
  BSD: {
    name: 'Bahamian Dollar',
    symbol: '$',
    decimals: 2,
    code: 'BSD'
  },
  BTC: {
    name: 'Bitcoin',
    symbol: '₿',
    decimals: 8,
    code: 'BTC'
  },
  BTN: {
    name: 'Bhutanese Ngultrum',
    symbol: 'Nu.',
    decimals: 2,
    code: 'BTN'
  },
  BWP: {
    name: 'Botswana Pula',
    symbol: 'P',
    decimals: 2,
    code: 'BWP'
  },
  BYN: {
    name: 'Belarusian Ruble',
    symbol: 'Br',
    decimals: 2,
    code: 'BYN'
  },
  BYR: {
    name: 'Belarusian Ruble',
    symbol: 'Br',
    decimals: 0,
    code: 'BYR'
  },
  BZD: {
    name: 'Belize Dollar',
    symbol: '$',
    decimals: 2,
    code: 'BZD'
  },
  CAD: {
    name: 'Canadian Dollar',
    symbol: '$',
    decimals: 2,
    code: 'CAD'
  },
  CDF: {
    name: 'Congolese Franc',
    symbol: 'FC',
    decimals: 2,
    code: 'CDF'
  },
  CHF: {
    name: 'Swiss Franc',
    symbol: 'Fr.',
    decimals: 2,
    code: 'CHF'
  },
  CLF: {
    name: 'Unidad de Fomento',
    decimals: 4,
    code: 'CLF',
    symbol: 'UF'
  },
  CLP: {
    name: 'Chilean Peso',
    symbol: '$',
    decimals: 0,
    code: 'CLP'
  },
  CNY: {
    name: 'Chinese Renminbi Yuan',
    symbol: '¥',
    decimals: 2,
    code: 'CNY'
  },
  COP: {
    name: 'Colombian Peso',
    symbol: '$',
    decimals: 2,
    code: 'COP'
  },
  CRC: {
    name: 'Costa Rican Colón',
    symbol: '₡',
    decimals: 2,
    code: 'CRC'
  },
  CUC: {
    name: 'Cuban Convertible Peso',
    decimals: 2,
    code: 'CUC',
    symbol: '$'
  },
  CVE: {
    name: 'Cape Verdean Escudo',
    symbol: '$',
    decimals: 2,
    code: 'CVE'
  },
  CZK: {
    name: 'Czech Koruna',
    symbol: 'Kč',
    decimals: 2,
    code: 'CZK'
  },
  DJF: {
    name: 'Djiboutian Franc',
    symbol: 'Fdj',
    decimals: 0,
    code: 'DJF'
  },
  DKK: {
    name: 'Danish Krone',
    symbol: 'kr',
    decimals: 2,
    code: 'DKK'
  },
  DOP: {
    name: 'Dominican Peso',
    symbol: '$',
    decimals: 2,
    code: 'DOP'
  },
  DZD: {
    name: 'Algerian Dinar',
    symbol: 'د.ج.‏',
    decimals: 2,
    code: 'DZD'
  },
  EEK: {
    name: 'Estonian Kroon',
    symbol: 'kr',
    decimals: 2,
    code: 'EEK'
  },
  EGP: {
    name: 'Egyptian Pound',
    symbol: 'ج.م.‏',
    decimals: 2,
    code: 'EGP'
  },
  ERN: {
    name: 'Eritrean Nakfa',
    symbol: 'Nfk',
    decimals: 2,
    code: 'ERN'
  },
  ETB: {
    name: 'Ethiopian Birr',
    symbol: 'Br',
    decimals: 2,
    code: 'ETB'
  },
  EUR: {
    name: 'Euro',
    symbol: '€',
    decimals: 2,
    code: 'EUR'
  },
  FJD: {
    name: 'Fijian Dollar',
    symbol: '$',
    decimals: 2,
    code: 'FJD'
  },
  FKP: {
    name: 'Falkland Pound',
    symbol: '£',
    decimals: 2,
    code: 'FKP'
  },
  GBP: {
    name: 'British Pound',
    symbol: '£',
    decimals: 2,
    code: 'GBP'
  },
  GEL: {
    name: 'Georgian Lari',
    symbol: 'ლ',
    decimals: 2,
    code: 'GEL'
  },
  GGP: {
    name: 'Guernsey Pound',
    decimals: 2,
    code: 'GGP',
    symbol: '£'
  },
  GHS: {
    name: 'Ghanaian Cedi',
    symbol: 'GH₵',
    decimals: 2,
    code: 'GHS'
  },
  GIP: {
    name: 'Gibraltar Pound',
    symbol: '£',
    decimals: 2,
    code: 'GIP'
  },
  GMD: {
    name: 'Gambian Dalasi',
    decimals: 2,
    code: 'GMD',
    symbol: 'D'
  },
  GNF: {
    name: 'Guinean Franc',
    symbol: 'FG',
    decimals: 0,
    code: 'GNF'
  },
  GTQ: {
    name: 'Guatemalan Quetzal',
    symbol: 'Q',
    decimals: 2,
    code: 'GTQ'
  },
  GYD: {
    name: 'Guyanese Dollar',
    decimals: 2,
    code: 'GYD',
    symbol: '$'
  },
  HKD: {
    name: 'Hong Kong Dollar',
    symbol: '$',
    decimals: 2,
    code: 'HKD'
  },
  HNL: {
    name: 'Honduran Lempira',
    symbol: 'L',
    decimals: 2,
    code: 'HNL'
  },
  HRK: {
    name: 'Croatian Kuna',
    symbol: 'kn',
    decimals: 2,
    code: 'HRK'
  },
  HTG: {
    name: 'Haitian Gourde',
    decimals: 2,
    code: 'HTG',
    symbol: 'G'
  },
  HUF: {
    name: 'Hungarian Forint',
    symbol: 'Ft',
    decimals: 0,
    code: 'HUF'
  },
  IDR: {
    name: 'Indonesian Rupiah',
    symbol: 'Rp',
    decimals: 2,
    code: 'IDR'
  },
  ILS: {
    name: 'Israeli New Sheqel',
    symbol: '₪',
    decimals: 2,
    code: 'ILS'
  },
  IMP: {
    name: 'Isle of Man Pound',
    decimals: 2,
    code: 'IMP',
    symbol: '£'
  },
  INR: {
    name: 'Indian Rupee',
    symbol: 'টকা',
    decimals: 2,
    code: 'INR'
  },
  IQD: {
    name: 'Iraqi Dinar',
    symbol: 'د.ع.‏',
    decimals: 3,
    code: 'IQD'
  },
  ISK: {
    name: 'Icelandic Króna',
    symbol: 'kr',
    decimals: 0,
    code: 'ISK'
  },
  JEP: {
    name: 'Jersey Pound',
    decimals: 2,
    code: 'JEP',
    symbol: '£'
  },
  JMD: {
    name: 'Jamaican Dollar',
    symbol: '$',
    decimals: 2,
    code: 'JMD'
  },
  JOD: {
    name: 'Jordanian Dinar',
    symbol: 'د.أ.‏',
    decimals: 3,
    code: 'JOD'
  },
  JPY: {
    name: 'Japanese Yen',
    symbol: '￥',
    decimals: 0,
    code: 'JPY'
  },
  KES: {
    name: 'Kenyan Shilling',
    symbol: 'Ksh',
    decimals: 2,
    code: 'KES'
  },
  KGS: {
    name: 'Kyrgyzstani Som',
    decimals: 2,
    code: 'KGS',
    symbol: 'som'
  },
  KHR: {
    name: 'Cambodian Riel',
    symbol: '៛',
    decimals: 2,
    code: 'KHR'
  },
  KMF: {
    name: 'Comorian Franc',
    symbol: 'FC',
    decimals: 0,
    code: 'KMF'
  },
  KRW: {
    name: 'South Korean Won',
    symbol: '₩',
    decimals: 0,
    code: 'KRW'
  },
  KWD: {
    name: 'Kuwaiti Dinar',
    symbol: 'د.ك.‏',
    decimals: 3,
    code: 'KWD'
  },
  KYD: {
    name: 'Cayman Islands Dollar',
    decimals: 2,
    code: 'KYD',
    symbol: '$'
  },
  KZT: {
    name: 'Kazakhstani Tenge',
    symbol: 'тңг.',
    decimals: 2,
    code: 'KZT'
  },
  LAK: {
    name: 'Lao Kip',
    decimals: 2,
    code: 'LAK',
    symbol: '₭'
  },
  LBP: {
    name: 'Lebanese Pound',
    symbol: 'ل.ل.‏',
    decimals: 2,
    code: 'LBP'
  },
  LKR: {
    name: 'Sri Lankan Rupee',
    symbol: 'රු',
    decimals: 2,
    code: 'LKR'
  },
  LRD: {
    name: 'Liberian Dollar',
    decimals: 2,
    code: 'LRD',
    symbol: '$'
  },
  LSL: {
    name: 'Lesotho Loti',
    decimals: 2,
    code: 'LSL',
    symbol: 'L'
  },
  LTL: {
    name: 'Lithuanian Litas',
    symbol: 'Lt',
    decimals: 2,
    code: 'LTL'
  },
  LVL: {
    name: 'Latvian Lats',
    symbol: 'Ls',
    decimals: 2,
    code: 'LVL'
  },
  LYD: {
    name: 'Libyan Dinar',
    symbol: 'د.ل.‏',
    decimals: 3,
    code: 'LYD'
  },
  MAD: {
    name: 'Moroccan Dirham',
    symbol: 'د.م.‏',
    decimals: 2,
    code: 'MAD'
  },
  MDL: {
    name: 'Moldovan Leu',
    symbol: 'MDL',
    decimals: 2,
    code: 'MDL'
  },
  MGA: {
    name: 'Malagasy Ariary',
    symbol: 'MGA',
    decimals: 0,
    code: 'MGA'
  },
  MKD: {
    name: 'Macedonian Denar',
    symbol: 'ден',
    decimals: 2,
    code: 'MKD'
  },
  MMK: {
    name: 'Myanmar Kyat',
    symbol: 'K',
    decimals: 2,
    code: 'MMK'
  },
  MNT: {
    name: 'Mongolian Tögrög',
    decimals: 2,
    code: 'MNT',
    symbol: '₮'
  },
  MOP: {
    name: 'Macanese Pataca',
    symbol: 'MOP$',
    decimals: 2,
    code: 'MOP'
  },
  MRO: {
    name: 'Mauritanian Ouguiya',
    decimals: 0,
    code: 'MRO',
    symbol: 'UM'
  },
  MTL: {
    name: 'Maltese Lira',
    decimals: 2,
    code: 'MTL',
    symbol: '₤'
  },
  MUR: {
    name: 'Mauritian Rupee',
    symbol: 'MURs',
    decimals: 2,
    code: 'MUR'
  },
  MVR: {
    name: 'Maldivian Rufiyaa',
    decimals: 2,
    code: 'MVR',
    symbol: 'Rf'
  },
  MWK: {
    name: 'Malawian Kwacha',
    decimals: 2,
    code: 'MWK',
    symbol: 'MK'
  },
  MXN: {
    name: 'Mexican Peso',
    symbol: '$',
    decimals: 2,
    code: 'MXN'
  },
  MYR: {
    name: 'Malaysian Ringgit',
    symbol: 'RM',
    decimals: 2,
    code: 'MYR'
  },
  MZN: {
    name: 'Mozambican Metical',
    symbol: 'MTn',
    decimals: 2,
    code: 'MZN'
  },
  NAD: {
    name: 'Namibian Dollar',
    symbol: '$',
    decimals: 2,
    code: 'NAD'
  },
  NGN: {
    name: 'Nigerian Naira',
    symbol: '₦',
    decimals: 2,
    code: 'NGN'
  },
  NIO: {
    name: 'Nicaraguan Córdoba',
    symbol: 'C$',
    decimals: 2,
    code: 'NIO'
  },
  NOK: {
    name: 'Norwegian Krone',
    symbol: 'kr',
    decimals: 2,
    code: 'NOK'
  },
  NPR: {
    name: 'Nepalese Rupee',
    symbol: 'नेरू',
    decimals: 2,
    code: 'NPR'
  },
  NZD: {
    name: 'New Zealand Dollar',
    symbol: '$',
    decimals: 2,
    code: 'NZD'
  },
  OMR: {
    name: 'Omani Rial',
    symbol: 'ر.ع.‏',
    decimals: 3,
    code: 'OMR'
  },
  PAB: {
    name: 'Panamanian Balboa',
    symbol: 'B/.',
    decimals: 2,
    code: 'PAB'
  },
  PEN: {
    name: 'Peruvian Sol',
    symbol: 'S/',
    decimals: 2,
    code: 'PEN'
  },
  PGK: {
    name: 'Papua New Guinean Kina',
    decimals: 2,
    code: 'PGK',
    symbol: 'K'
  },
  PHP: {
    name: 'Philippine Peso',
    symbol: '₱',
    decimals: 2,
    code: 'PHP'
  },
  PKR: {
    name: 'Pakistani Rupee',
    symbol: '₨',
    decimals: 2,
    code: 'PKR'
  },
  PLN: {
    name: 'Polish Złoty',
    symbol: 'zł',
    decimals: 2,
    code: 'PLN'
  },
  PYG: {
    name: 'Paraguayan Guaraní',
    symbol: '₲',
    decimals: 0,
    code: 'PYG'
  },
  QAR: {
    name: 'Qatari Riyal',
    symbol: 'ر.ق.‏',
    decimals: 2,
    code: 'QAR'
  },
  RON: {
    name: 'Romanian Leu',
    symbol: 'RON',
    decimals: 2,
    code: 'RON'
  },
  RSD: {
    name: 'Serbian Dinar',
    symbol: 'дин.',
    decimals: 2,
    code: 'RSD'
  },
  RUB: {
    name: 'Russian Ruble',
    symbol: 'руб.',
    decimals: 2,
    code: 'RUB'
  },
  RWF: {
    name: 'Rwandan Franc',
    symbol: 'FR',
    decimals: 0,
    code: 'RWF'
  },
  SAR: {
    name: 'Saudi Riyal',
    symbol: 'ر.س.‏',
    decimals: 2,
    code: 'SAR'
  },
  SBD: {
    name: 'Solomon Islands Dollar',
    decimals: 2,
    code: 'SBD',
    symbol: '$'
  },
  SCR: {
    name: 'Seychellois Rupee',
    decimals: 2,
    code: 'SCR',
    symbol: '₨'
  },
  SEK: {
    name: 'Swedish Krona',
    symbol: 'kr',
    decimals: 2,
    code: 'SEK'
  },
  SGD: {
    name: 'Singapore Dollar',
    symbol: '$',
    decimals: 2,
    code: 'SGD'
  },
  SHP: {
    name: 'Saint Helenian Pound',
    decimals: 2,
    code: 'SHP',
    symbol: '£'
  },
  SLL: {
    name: 'Sierra Leonean Leone',
    decimals: 2,
    code: 'SLL',
    symbol: 'Le'
  },
  SOS: {
    name: 'Somali Shilling',
    symbol: 'Ssh',
    decimals: 2,
    code: 'SOS'
  },
  SRD: {
    name: 'Surinamese Dollar',
    decimals: 2,
    code: 'SRD',
    symbol: '$'
  },
  SSP: {
    name: 'South Sudanese Pound',
    decimals: 2,
    code: 'SSP',
    symbol: '£'
  },
  STD: {
    name: 'São Tomé and Príncipe Dobra',
    decimals: 2,
    code: 'STD',
    symbol: 'Db'
  },
  SVC: {
    name: 'Salvadoran Colón',
    decimals: 2,
    code: 'SVC',
    symbol: '₡'
  },
  SZL: {
    name: 'Swazi Lilangeni',
    decimals: 2,
    code: 'SZL',
    symbol: 'L'
  },
  THB: {
    name: 'Thai Baht',
    symbol: '฿',
    decimals: 2,
    code: 'THB'
  },
  TJS: {
    name: 'Tajikistani Somoni',
    decimals: 2,
    code: 'TJS',
    symbol: 'ЅМ'
  },
  TMT: {
    name: 'Turkmenistani Manat',
    decimals: 2,
    code: 'TMT',
    symbol: 'm'
  },
  TND: {
    name: 'Tunisian Dinar',
    symbol: 'د.ت.‏',
    decimals: 3,
    code: 'TND'
  },
  TOP: {
    name: 'Tongan Paʻanga',
    symbol: 'T$',
    decimals: 2,
    code: 'TOP'
  },
  TRY: {
    name: 'Turkish Lira',
    symbol: 'TL',
    decimals: 2,
    code: 'TRY'
  },
  TTD: {
    name: 'Trinidad and Tobago Dollar',
    symbol: '$',
    decimals: 2,
    code: 'TTD'
  },
  TWD: {
    name: 'New Taiwan Dollar',
    symbol: '$',
    decimals: 2,
    code: 'TWD'
  },
  TZS: {
    name: 'Tanzanian Shilling',
    symbol: 'TSh',
    decimals: 2,
    code: 'TZS'
  },
  UAH: {
    name: 'Ukrainian Hryvnia',
    symbol: '₴',
    decimals: 2,
    code: 'UAH'
  },
  UGX: {
    name: 'Ugandan Shilling',
    symbol: 'USh',
    decimals: 0,
    code: 'UGX'
  },
  USD: {
    name: 'United States Dollar',
    symbol: '$',
    decimals: 2,
    code: 'USD'
  },
  UYU: {
    name: 'Uruguayan Peso',
    symbol: '$',
    decimals: 2,
    code: 'UYU'
  },
  UZS: {
    name: 'Uzbekistan Som',
    symbol: 'UZS',
    decimals: 2,
    code: 'UZS'
  },
  VEF: {
    name: 'Venezuelan Bolívar',
    symbol: 'Bs.',
    decimals: 2,
    code: 'VEF'
  },
  VND: {
    name: 'Vietnamese Đồng',
    symbol: '₫',
    decimals: 0,
    code: 'VND'
  },
  VUV: {
    name: 'Vanuatu Vatu',
    symbol: 'VT',
    decimals: 0,
    code: 'VUV'
  },
  WST: {
    name: 'Samoan Tala',
    symbol: '$',
    decimals: 2,
    code: 'WST'
  },
  XAF: {
    name: 'Central African Cfa Franc',
    symbol: 'FCFA',
    decimals: 0,
    code: 'XAF'
  },
  XAG: {
    name: 'Silver (Troy Ounce)',
    decimals: 0,
    code: 'XAG',
    symbol: 'oz'
  },
  XAU: {
    name: 'Gold (Troy Ounce)',
    symbol: 'oz',
    decimals: 0,
    code: 'XAU'
  },
  XCD: {
    name: 'East Caribbean Dollar',
    decimals: 2,
    code: 'XCD',
    symbol: '$'
  },
  XDR: {
    name: 'Special Drawing Rights',
    decimals: 0,
    code: 'XDR',
    symbol: 'SDR'
  },
  XOF: {
    name: 'West African Cfa Franc',
    symbol: 'CFA',
    decimals: 0,
    code: 'XOF'
  },
  XPD: {
    name: 'Palladium',
    decimals: 0,
    code: 'XPD',
    symbol: 'Pd'
  },
  XPF: {
    name: 'Cfp Franc',
    decimals: 0,
    code: 'XPF',
    symbol: '₣'
  },
  XPT: {
    name: 'Platinum',
    decimals: 0,
    code: 'XPT',
    symbol: 'Pt'
  },
  YER: {
    name: 'Yemeni Rial',
    symbol: 'ر.ي.‏',
    decimals: 2,
    code: 'YER'
  },
  ZAR: {
    name: 'South African Rand',
    symbol: 'R',
    decimals: 2,
    code: 'ZAR'
  },
  ZMK: {
    name: 'Zambian Kwacha',
    symbol: 'ZK',
    decimals: 2,
    code: 'ZMK'
  },
  ZMW: {
    name: 'Zambian Kwacha',
    decimals: 2,
    code: 'ZMW',
    symbol: 'ZK'
  },
  ZWL: {
    name: 'Zimbabwean Dollar',
    decimals: 2,
    code: 'ZWL',
    symbol: '$'
  }
}
